Bug 885313 - hexdump segfault
Summary: hexdump segfault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-08 15:10 UTC by GV
Modified: 2014-04-08 15:09 UTC (History)
4 users (show)

Fixed In Version: util-linux-ng-2.17.2-12.13.el6
Doc Type: Bug Fix
Doc Text:
Cause: The command hexdump segfaults when iterating over an empty format string. Consequence: Fix: Result:
Clone Of:
Environment:
Last Closed: 2013-11-21 20:44:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1648 normal SHIPPED_LIVE util-linux-ng bug fix and enhancement update 2013-11-20 21:53:24 UTC

Description GV 2012-12-08 15:10:04 UTC
Description of problem:

$ printf \\1 | hexdump -n1 -ve '8/2 "" "%04x" ""'
Segmentation fault

Comment 2 Karel Zak 2013-01-10 10:43:23 UTC
Fixed by upstream commit f1107b4a873f6c2dcfcaf0135efc72badb46bc77.

Comment 6 errata-xmlrpc 2013-11-21 20:44:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1648.html


Note You need to log in before you can comment on or make changes to this bug.